NE_SHAVE(3)

NAME
ne_shave - trim whitespace from a string

SYNOPSIS

#include <ne_string.h>

char *ne_shave(char *str, const char *whitespace);

DESCRIPTION

ne_shave returns a portion of str with any leading or trailing characters in the whitespace array removed. str may be modified. Note that the return value may not be equal to str.

EXAMPLES

The following code segment will output "fish":

    char s[] = ".!.fish!.!";
    puts(ne_shave(s, ".!"));

AUTHOR

Joe Orton <neon@lists.manyfish.co.uk>

    Author.

COPYRIGHT